#ifndef _IOSCHECK_H_
#define _IOSCHECK_H_

#ifdef __cplusplus
extern "C" {
#endif

int get_certs(void);
int AsSuperUser();
int check_fakesig(void);
int check_identify(void);
int check_flash(void);
int check_usb2(void);
int check_boot2(void);
int check_nandp(void);
int check_sysmenuver(void);
bool isIOSstub( u8);
u32 GetSysMenuVersion(void);
int checkIOSMenu();
u8 *get_ioslist(u32 *cnt);
int writebackLog(bool dumpHashes);
int checkmyios(bool displayIOS, bool skipcheckingIOSs, bool dumpHashes);
int loadiosfromcsv();
u32 GetTitleVersion(u64 tid);

int ios_flash[256];
int ios_fsign[256];
int ios_ident[256];
int ios_usb2m[256];
int ios_boot2[256];
int ios_nandp[256];
int ios_sysmen[256];
extern s32 ios_found[256];

#ifdef __cplusplus
}
#endif

#endif
